// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "Interaction.generated.h"

UCLASS()
class THE_TWILIGHT_ABYSS_API AInteraction : public AActor
{
	GENERATED_BODY()

public:
	// Sets default values for this actor's properties
	AInteraction();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	// Called every frame
	virtual void Tick(float DeltaTime) override;
	
	UPROPERTY(EditAnywhere)
	TSubclassOf<UUserWidget> Widget;

	virtual void OnInteract();
	
	virtual void RemoveWidget();
	UPROPERTY()
	UUserWidget* CurrentWidget;
	
	UPROPERTY(EditAnywhere)
	float WaitTimer = 8.0f;

	UPROPERTY()
	bool bisDisabled = false;
};

